Skip to main content
GET
/
check
/
{address}
Check if account is registered
curl --request GET \
  --url https://v1.orchestrator.rhinestone.dev/deposit-processor/check/{address}
{
  "isRegistered": true,
  "targetChain": "<string>",
  "targetToken": "<string>",
  "recipient": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
  "sourceChains": [
    "<string>"
  ]
}

Path Parameters

address
string
required

Ethereum address (0x followed by 40 hex characters)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"

Response

Account registration status

isRegistered
boolean
required
targetChain
string
targetToken
string
recipient
string

Ethereum address (0x followed by 40 hex characters)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"

sourceChains
string[]